Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.enchantment
Class EnchantmentUntouching

    java.lang.Object
      net.minecraft.enchantment.Enchantment
          net.minecraft.enchantment.EnchantmentUntouching

    public class EnchantmentUntouching

extends Enchantment

Field Summary

Fields inherited from class net.minecraft.enchantment.Enchantment
`aquaAffinity, baneOfArthropods, blastProtection, effectId, efficiency, enchantmentsList, featherFalling, field_92038_c, field_92039_k, fireAspect, fireProtection, flame, fortune, infinity, knockback, looting, power, projectileProtection, protection, punch, respiration, sharpness, silkTouch, smite, type, unbreaking`

Method Summary
`boolean` | `canApplyTogether(Enchantment par1Enchantment)` Determines if the enchantment passed can be applyied together with this enchantment.
`boolean` | `func_92037_a(ItemStack par1ItemStack)`
`int` | `getMaxEnchantability(int par1)` Returns the maximum value of enchantability nedded on the enchantment level passed.
`int` | `getMaxLevel()` Returns the maximum level that the enchantment can have.
`int` | `getMinEnchantability(int par1)` Returns the minimal value of enchantability needed on the enchantment level passed.

Methods inherited from class net.minecraft.enchantment.Enchantment
`addToBookList, calcModifierDamage, calcModifierLiving, canApplyAtEnchantingTable, getMinLevel, getName, getTranslatedName, getWeight, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMinEnchantability

    public int getMinEnchantability(int par1)

  Returns the minimal value of enchantability needed on the enchantment level passed.

  Overrides:
    `getMinEnchantability` in class `Enchantment`

### getMaxEnchantability

    public int getMaxEnchantability(int par1)

  Returns the maximum value of enchantability nedded on the enchantment level passed.

  Overrides:
    `getMaxEnchantability` in class `Enchantment`

### getMaxLevel

    public int getMaxLevel()

  Returns the maximum level that the enchantment can have.

  Overrides:
    `getMaxLevel` in class `Enchantment`

### canApplyTogether

    public boolean canApplyTogether(Enchantment par1Enchantment)

  Determines if the enchantment passed can be applyied together with this enchantment.

  Overrides:
    `canApplyTogether` in class `Enchantment`

### func_92037_a

    public boolean func_92037_a(ItemStack par1ItemStack)

  Overrides:
    `func_92037_a` in class `Enchantment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD